Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::Coordinator Class Reference

`#include <BooleanScorer2.h>`

Inheritance diagram for Lucene::Coordinator:

## Public Member Functions

| Coordinator (const BooleanScorer2Ptr &scorer)
virtual | ~Coordinator ()
virtual String | getClassName ()
boost::shared_ptr< Coordinator > | shared_from_this ()
void | init ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

BooleanScorer2WeakPtr | _scorer
Collection< double > | coordFactors
int32_t | maxCoord
int32_t | nrMatchers

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ Coordinator()

Lucene::Coordinator::Coordinator | ( | const BooleanScorer2Ptr & | scorer | ) |

## ◆ ~Coordinator()

virtual Lucene::Coordinator::~Coordinator | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::Coordinator::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::Coordinator::getClassName | ( |  | ) |

inline virtual

## ◆ init()

void Lucene::Coordinator::init | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< Coordinator > Lucene::Coordinator::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _scorer

BooleanScorer2WeakPtr Lucene::Coordinator::_scorer

## ◆ coordFactors

Collection<double> Lucene::Coordinator::coordFactors

## ◆ maxCoord

int32_t Lucene::Coordinator::maxCoord

## ◆ nrMatchers

int32_t Lucene::Coordinator::nrMatchers

The documentation for this class was generated from the following file:

- BooleanScorer2.h

clucene.sourceforge.net